1. Merchant
Corpayss
  • Acquirer
    • Merchant
      • Create Merchant
        POST
      • Get Merchant
        GET
      • Update Merchant
        POST
      • Search Merchant
        GET
    • Terminal
      • Create Terminal
      • Get Terminal
      • Update Terminal
      • Search Terminal
    • Deprecated - Commission Profile
      • Create Commission Profile
      • Get Commission Profile
      • Update Commission Profile
      • Delete Commission Profile
    • Pos Authorization Profile
      • Create Pos Authorization Profile
      • Get Pos Authorization Profile
      • Update Pos Authorization Profile
      • Delete Pos Authorization Profile
    • Pos Fee Profile
      • Create Pos Fee Profile
      • Get Pos Fee Profile
      • Update Pos Fee Profile
      • Delete Pos Fee Profile
    • Create Merchant and Terminal
      POST
    • Get Merchant Payment Summary
      GET
    • Get Merchant Payment Detail
      GET
    • Get Pos Batch Summary
      GET
    • Get Pos Batch Detail
      GET
    • Close Pos Batch
      POST
  • Issuer
    • Customer
      • Create Customer
      • Get Customer Info
      • Get Card Customer Info
      • Update Customer
      • Update Customer Limit
    • Card
      • Creation & Registration
        • Create Credit Card
        • Create Debit Card
        • Create Prepaid Card
        • Create Emboss Directive
        • Register Card
      • Information & Status Management
        • Get Card Info
        • Get Card Status
        • Get Host Balance
        • Update Card Limit
        • Update Card Status
        • Update Card Fee Status
      • Transactions & Balance Operations
        • Get Card Transactions
        • Send Transaction
        • Load Card Balance
        • Card To Card Balance Transfer
        • Money Send
      • Security & Authentication
        • Verify Card
        • Get Card Pin
        • Send PIN By SMS
        • Check Pin
        • Change Card Pin
        • Reset Cvv 2 Retry Count
        • Change 3DS Password
      • Maintenance & Restrictions
        • Get Card Restriction
        • Card Restriction
        • Card Renewal
      • Tokenization
        • Tokenize Card No
      • Deprecated
        • Get Card Balance Loading Limit
        • Get Card No
        • Get Card Private Info
  • VPOS
    • 3DS Transaction
      • ThreeD - Sale
      • ThreeD - Pre Sale
      • ThreeD - Complete 3DS Payment
    • NonSecure
      • Batch Close
      • Payment Sale
      • Installment Inquiry
      • Point Inquiry
      • Payment Pre Sale
      • Payment Post Sale
      • Payment Void
      • Payment Refund
    • QR Transaction
      • QR Payment CreateQr
    • Inquiry
      • Chek ByToken
      • Check By Order ID
      • Chek By Process ID
      • List By Order ID
    • Order
      • Create Order 3D
      • Create Order
    • Recurring
      • Create Recurring
      • Get Recurring
      • Update Recurring
      • Cancel Recurring
  1. Merchant

Search Merchant

GET
/api/IntegrationAcquirer/SearchMerchant
This service brings the merchant list by sent criterias.

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://hilarion1.corpayss.net:8422//api/IntegrationAcquirer/SearchMerchant?model.merchantInfo.merchantCode=700004440001735&model.merchantInfo.customerNumber&model.merchantInfo.chain&model.merchantInfo.chainCode&model.merchantInfo.isPf&model.merchantInfo.pfIdMsc&model.merchantInfo.pfIdVis&model.merchantInfo.branchId&model.merchantInfo.mcc&model.merchantInfo.tradeName&model.merchantInfo.merchantNameplate&model.merchantInfo.taxDepartmentCode&model.merchantInfo.taxDepartment&model.merchantInfo.taxNumber&model.merchantInfo.statCode&model.merchantInfo.closedCase&model.merchantInfo.posParamProfileGuid&model.merchantInfo.posParamProfileName&model.merchantInfo.commissionProfileGuid&model.merchantInfo.commissionProfileName&model.merchantInfo.loyaltyProfileGuid&model.merchantInfo.loyaltyProfileName&model.merchantInfo.posFeeProfileGuid&model.merchantInfo.posFeeProfileName&model.merchantInfo.isPg&model.merchantInfo.pgIdMsc&model.merchantInfo.pgIdVis&model.merchantInfo.fraudRate' \
--header 'token: 58ff081d-eba7-4e9c-bfab-3cd51792b96d+202501211205'

Responses

🟢200OK
application/json
OK
Body

Example
[
    {
        "MerchantCode": "444000000000358",
        "CustomerNumber": 7318272427,
        "Chain": false,
        "ChainCode": "",
        "IsPf": false,
        "PfIdMsc": "",
        "PfIdVis": "",
        "BranchId": 444,
        "Mcc": "0763",
        "TradeName": "IN CUPIDATAT IN",
        "MerchantNameplate": "NON ET OCCAECAT",
        "TaxDepartmentCode": "3833",
        "TaxDepartment": "MAGNA UT",
        "TaxNumber": "24394237",
        "StatCode": "AA",
        "ClosedCase": "",
        "PosParamProfileGuid": 1,
        "PosParamProfileName": "DEFAULT - EUR",
        "CommissionProfileGuid": 1100000024665593,
        "CommissionProfileName": "[01] DEFAULT COMM PROFILE",
        "LoyaltyProfileGuid": 1010000402224666,
        "LoyaltyProfileName": "TEST LYL PROFILE",
        "PosFeeProfileGuid": 1010000402342333,
        "PosFeeProfileName": "TEST FEE PROFILE",
        "IsPg": false,
        "PgIdMsc": "",
        "PgIdVis": "",
        "FraudRate": 0
    },
    {
        "MerchantCode": "444000000000359",
        "CustomerNumber": 1522817128,
        "Chain": false,
        "ChainCode": "",
        "IsPf": false,
        "PfIdMsc": "",
        "PfIdVis": "",
        "BranchId": 444,
        "Mcc": "0763",
        "TradeName": "CILLUM MINIM EIUSMOD",
        "MerchantNameplate": "OFFICIA AMET AUTE",
        "TaxDepartmentCode": "9313",
        "TaxDepartment": "COMMODO DOLORE",
        "TaxNumber": "92522662",
        "StatCode": "AA",
        "ClosedCase": "",
        "PosParamProfileGuid": 1,
        "PosParamProfileName": "DEFAULT - EUR",
        "CommissionProfileGuid": 1100000024665593,
        "CommissionProfileName": "[01] DEFAULT COMM PROFILE",
        "LoyaltyProfileGuid": 1010000402224666,
        "LoyaltyProfileName": "TEST LYL PROFILE",
        "PosFeeProfileGuid": 1010000402342333,
        "PosFeeProfileName": "TEST FEE PROFILE",
        "IsPg": false,
        "PgIdMsc": "",
        "PgIdVis": "",
        "FraudRate": 0
    }
]
Modified at 2026-03-24 07:43:25
Previous
Update Merchant
Next
Create Terminal
Built with